package Celestrak;

import java.io.File;
import java.io.IOException;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.Locale;

import org.orekit.celestrak.CelestrakTLE;
import org.orekit.data.DataContext;
import org.orekit.data.DataProvidersManager;
import org.orekit.data.DirectoryCrawler;

public class CelestrakDataUpdate {
	
	public static void main(String[] args) throws IOException, InterruptedException {
	
		// Load Orekit data
	    final File home       = new File(System.getProperty("user.home"));
	    final File orekitData = new File(home, "orekit-data");
	    if (!orekitData.exists()) {
	        System.err.format(Locale.US, "Failed to find %s folder%n",
	                          orekitData.getAbsolutePath());
	        System.err.format(Locale.US, "You need to download %s from %s, unzip it in %s and rename it 'orekit-data' for this tutorial to work%n",
	                          "orekit-data-master.zip", "https://gitlab.orekit.org/orekit/orekit-data/-/archive/master/orekit-data-master.zip",
	                          home.getAbsolutePath());
	        System.exit(1);
	    }
	    
	    final DataProvidersManager manager = DataContext.getDefault().getDataProvidersManager();
	    manager.addProvider(new DirectoryCrawler(orekitData));

		// Update Celestrak database
		String[] TLERetriever = {"d:\\Users\\mlargeau\\TLERetriever3\\TLERetriever3", 
				"-auto"};
		Path resourcesPath = Paths.get(System.getProperty("user.dir") 
				+ "\\src\\test\\resources");
		
		CelestrakTLE.updateResources(TLERetriever, resourcesPath);
		
	}
	
}
